
function AGT:loadDefaults()
	AGT.defaults = {
		lastRanVersion = "0",
		guild = {
			[1] = {		-- Guild 1 Settings
				showNotifications 	= true,
				showOnScreen 		= true,
				showInChat 			= true,
				playSounds 			= true,
				pruneTime			= 30,
				note = {
					motd_CT			= true,
					motd_OS			= true,
					level_CT		= true,
					level_OS		= true,
					status_CT		= true,
					status_OS		= true,
					zone_CT			= true,
					zone_OS			= true,
					alert_CT		= true,
					alert_OS		= true,
					guild			= false,
					officer			= true
				},
				color = {
					default 		= {0,1,0,1},
					motd			= {1,0.470588,0,1},
					level			= {0,1,0.470588,1},
					status			= {1,0,1,1},
					zone			= {0,0.470588,1,1},
					alert			= {1,0,0,1},
					officer			= {1,1,1,1}
				},
				sound = {
					motd			= true,
					level			= true,
					status			= true,
					zone			= true,
					alert			= true,
					guild			= true,
					officer			= true
				}
			}, [2] = {	--Guild 2 Settings
				showNotifications 	= true,
				showOnScreen 		= true,
				showInChat 			= true,
				playSounds 			= true,
				pruneTime			= 30,
				note = {
					motd_CT			= true,
					motd_OS			= true,
					level_CT		= true,
					level_OS		= true,
					status_CT		= true,
					status_OS		= true,
					zone_CT			= true,
					zone_OS			= true,
					alert_CT		= true,
					alert_OS		= true,
					guild			= false,
					officer			= true
				},
				color = {
					default 		= {0,1,0,1},
					motd			= {1,0.470588,0,1},
					level			= {0,1,0.470588,1},
					status			= {1,0,1,1},
					zone			= {0,0.470588,1,1},
					alert			= {1,0,0,1},
					officer			= {1,1,1,1}
				},
				sound = {
					motd			= true,
					level			= true,
					status			= true,
					zone			= true,
					alert			= true,
					guild			= true,
					officer			= true
				}
			}, [3] = {	--Guild 3 Settings
				showNotifications 	= true,
				showOnScreen 		= true,
				showInChat			= true,
				playSounds 			= true,
				pruneTime			= 30,
				note = {
					motd_CT			= true,
					motd_OS			= true,
					level_CT		= true,
					level_OS		= true,
					status_CT		= true,
					status_OS		= true,
					zone_CT			= true,
					zone_OS			= true,
					alert_CT		= true,
					alert_OS		= true,
					guild			= false,
					officer			= true
				},
				color = {
					default 		= {0,1,0,1},
					motd			= {1,0.470588,0,1},
					level			= {0,1,0.470588,1},
					status			= {1,0,1,1},
					zone			= {0,0.470588,1,1},
					alert			= {1,0,0,1},
					officer			= {1,1,1,1}
				},
				sound = {
					motd			= true,
					level			= true,
					status			= true,
					zone			= true,
					alert			= true,
					guild			= true,
					officer			= true
				}
			}, [4] = {	--Guild 4 Settings
				showNotifications 	= true,
				showOnScreen 		= true,
				showInChat 			= true,
				playSounds 			= true,
				pruneTime			= 30,
				note = {
					motd_CT			= true,
					motd_OS			= true,
					level_CT		= true,
					level_OS		= true,
					status_CT		= true,
					status_OS		= true,
					zone_CT			= true,
					zone_OS			= true,
					alert_CT		= true,
					alert_OS		= true,
					guild			= false,
					officer			= true
				},
				color = {
					default 		= {0,1,0,1},
					motd			= {1,0.470588,0,1},
					level			= {0,1,0.470588,1},
					status			= {1,0,1,1},
					zone			= {0,0.470588,1,1},
					alert			= {1,0,0,1},
					officer			= {1,1,1,1}
				},
				sound = {
					motd			= true,
					level			= true,
					status			= true,
					zone			= true,
					alert			= true,
					guild			= true,
					officer			= true
				}
			}, [5] = {	--Guild 5 Settings
				showNotifications 	= true,
				showOnScreen 		= true,
				showInChat 			= true,
				playSounds 			= true,
				pruneTime			= 30,
				note = {
					motd_CT			= true,
					motd_OS			= true,
					level_CT		= true,
					level_OS		= true,
					status_CT		= true,
					status_OS		= true,
					zone_CT			= true,
					zone_OS			= true,
					alert_CT		= true,
					alert_OS		= true,
					guild			= false,
					officer			= true
				},
				color = {
					default 		= {0,1,0,1},
					motd			= {1,0.470588,0,1},
					level			= {0,1,0.470588,1},
					status			= {1,0,1,1},
					zone			= {0,0.470588,1,1},
					alert			= {1,0,0,1},
					officer			= {1,1,1,1}
				},
				sound = {
					motd			= true,
					level			= true,
					status			= true,
					zone			= true,
					alert			= true,
					guild			= true,
					officer			= true
				}
			}
		},
		OnScreen = {
			isDisplayOn				= true,
			isDisplayLocked			= true,
			xOffset					= 200,
			yOffset					= 200,
			textColor				= {0, 1, 0, 1},
			vertAlign				= TEXT_ALIGN_CENTER,
			horizAlign				= TEXT_ALIGN_CENTER,
			scale					= 1,
			displayTicks			= 3
		},
		Sounds = {
			motd 					= "Dialog_Show",
			status 					= "SkillLine_Added",
			level					= "Overland_Boss_Kill",
			zone					= "SkillType_World",
			alert					= "Book_Acquired",
			trying					= "CODEX_Close",
			error					= "Quest_StepFailed",
			success					= "Lockpicking_success",
			mount					= "Stats_Purchase",
			hour					= "Quest_Accept",
			craft					= "Quest_Abandon",
			whisper					= "Click_Positive",
			yell					= "Book_Acquired",
			guild					= "New_Mail",
			officer					= "Click_Negative",
			loot 					= "Lockpicking_lockpick_contact"
		},
		Character = {
			showInfo				= true,
			showAlliance			= true,
			colorAlliance			= true,
			showCharacterName		= true,
			showLevel				= true,
			colorLevel				= true,
			showClass				= true,
			fullClass				= false,
			fullAlliance			= false
		},
		Settings = {
			sounds					= true,
			showStatusColor			= true,
			sameZone				= true,
			mountHunger				= true,
			hourNotify				= true
		},
		note = {
			whisper					= true,
			yell					= true,
			lootScreen				= true,
			lootChat				= true,
			lootColor				= {0.470588,0.470588,0.470588,1},
		},
		color = {
			whisper					= {0,1,1,1},
			yell					= {1,0,0,1}
		}
	}
end