-- Initialize Slash Commands
function AGT:InitializeSlash()
	SLASH_COMMANDS["/g1invite"] 			= function(name) AGT.guildInvite(name,1) 	end
	SLASH_COMMANDS["/g2invite"] 			= function(name) AGT.guildInvite(name,2) 	end
	SLASH_COMMANDS["/g3invite"] 			= function(name) AGT.guildInvite(name,3) 	end
	SLASH_COMMANDS["/g4invite"] 			= function(name) AGT.guildInvite(name,4) 	end
	SLASH_COMMANDS["/g5invite"] 			= function(name) AGT.guildInvite(name,5) 	end
	SLASH_COMMANDS["/g1add"] 				= function(name) AGT.guildInvite(name,1) 	end
	SLASH_COMMANDS["/g2add"] 				= function(name) AGT.guildInvite(name,2) 	end
	SLASH_COMMANDS["/g3add"] 				= function(name) AGT.guildInvite(name,3) 	end
	SLASH_COMMANDS["/g4add"] 				= function(name) AGT.guildInvite(name,4) 	end
	SLASH_COMMANDS["/g5add"] 				= function(name) AGT.guildInvite(name,5) 	end
	SLASH_COMMANDS["/g1count"]				= function(name) AGT.countGuildmates(1)		end
	SLASH_COMMANDS["/g2count"]				= function(name) AGT.countGuildmates(2)		end
	SLASH_COMMANDS["/g3count"]				= function(name) AGT.countGuildmates(3)		end
	SLASH_COMMANDS["/g4count"]				= function(name) AGT.countGuildmates(4)		end
	SLASH_COMMANDS["/g5count"]				= function(name) AGT.countGuildmates(5)		end
	SLASH_COMMANDS["/g1online"] 			= function(name) AGT.onlineGuildmates(1)	end
	SLASH_COMMANDS["/g2online"] 			= function(name) AGT.onlineGuildmates(2)	end
	SLASH_COMMANDS["/g3online"] 			= function(name) AGT.onlineGuildmates(3)	end 
	SLASH_COMMANDS["/g4online"] 			= function(name) AGT.onlineGuildmates(4)	end 
	SLASH_COMMANDS["/g5online"] 			= function(name) AGT.onlineGuildmates(5)	end
	SLASH_COMMANDS["/g1offline"] 			= function(name) AGT.offlineGuildmates(1)	end
	SLASH_COMMANDS["/g2offline"] 			= function(name) AGT.offlineGuildmates(2)	end
	SLASH_COMMANDS["/g3offline"] 			= function(name) AGT.offlineGuildmates(3)	end
	SLASH_COMMANDS["/g4offline"] 			= function(name) AGT.offlineGuildmates(4)	end
	SLASH_COMMANDS["/g5offline"] 			= function(name) AGT.offlineGuildmates(5)	end
	SLASH_COMMANDS["/g1leave"] 				= function(name) AGT.leaveGuild(1)			end
	SLASH_COMMANDS["/g2leave"] 				= function(name) AGT.leaveGuild(5)			end
	SLASH_COMMANDS["/g3leave"] 				= function(name) AGT.leaveGuild(3)			end
	SLASH_COMMANDS["/g4leave"] 				= function(name) AGT.leaveGuild(4)			end
	SLASH_COMMANDS["/g5leave"] 				= function(name) AGT.leaveGuild(5)			end
	SLASH_COMMANDS["/g1quit"] 				= function(name) AGT.leaveGuild(1)			end
	SLASH_COMMANDS["/g2quit"] 				= function(name) AGT.leaveGuild(5)			end
	SLASH_COMMANDS["/g3quit"] 				= function(name) AGT.leaveGuild(3)			end
	SLASH_COMMANDS["/g4quit"] 				= function(name) AGT.leaveGuild(4)			end
	SLASH_COMMANDS["/g5quit"] 				= function(name) AGT.leaveGuild(5)			end
	SLASH_COMMANDS["/g1kick"]				= function(name) AGT.kickFromGuild(name,1)	end
	SLASH_COMMANDS["/g2kick"]				= function(name) AGT.kickFromGuild(name,2)	end
	SLASH_COMMANDS["/g3kick"]				= function(name) AGT.kickFromGuild(name,3)	end
	SLASH_COMMANDS["/g4kick"]				= function(name) AGT.kickFromGuild(name,4)	end
	SLASH_COMMANDS["/g5kick"]				= function(name) AGT.kickFromGuild(name,5)	end
	SLASH_COMMANDS["/g1remove"]				= function(name) AGT.kickFromGuild(name,1)	end
	SLASH_COMMANDS["/g2remove"]				= function(name) AGT.kickFromGuild(name,2)	end
	SLASH_COMMANDS["/g3remove"]				= function(name) AGT.kickFromGuild(name,3)	end
	SLASH_COMMANDS["/g4remove"]				= function(name) AGT.kickFromGuild(name,4)	end
	SLASH_COMMANDS["/g5remove"]				= function(name) AGT.kickFromGuild(name,5)	end
	SLASH_COMMANDS["/g1promote"] 			= function(name) AGT.promoteInGuild(name,1)	end
	SLASH_COMMANDS["/g2promote"] 			= function(name) AGT.promoteInGuild(name,2)	end
	SLASH_COMMANDS["/g3promote"] 			= function(name) AGT.promoteInGuild(name,3)	end
	SLASH_COMMANDS["/g4promote"] 			= function(name) AGT.promoteInGuild(name,4)	end
	SLASH_COMMANDS["/g5promote"] 			= function(name) AGT.promoteInGuild(name,5)	end
	SLASH_COMMANDS["/g1up"]		 			= function(name) AGT.promoteInGuild(name,1)	end
	SLASH_COMMANDS["/g2up"]		 			= function(name) AGT.promoteInGuild(name,2)	end
	SLASH_COMMANDS["/g3up"]		 			= function(name) AGT.promoteInGuild(name,3)	end
	SLASH_COMMANDS["/g4up"]		 			= function(name) AGT.promoteInGuild(name,4)	end
	SLASH_COMMANDS["/g5up"]		 			= function(name) AGT.promoteInGuild(name,5)	end
	SLASH_COMMANDS["/g1rankup"]	 			= function(name) AGT.promoteInGuild(name,1)	end
	SLASH_COMMANDS["/g2rankup"]	 			= function(name) AGT.promoteInGuild(name,2)	end
	SLASH_COMMANDS["/g3rankup"]	 			= function(name) AGT.promoteInGuild(name,3)	end
	SLASH_COMMANDS["/g4rankup"]	 			= function(name) AGT.promoteInGuild(name,4)	end
	SLASH_COMMANDS["/g5rankup"]	 			= function(name) AGT.promoteInGuild(name,5)	end
	SLASH_COMMANDS["/g1demote"] 			= function(name) AGT.demoteInGuild(name,1)	end
	SLASH_COMMANDS["/g2demote"] 			= function(name) AGT.demoteInGuild(name,2)	end
	SLASH_COMMANDS["/g3demote"] 			= function(name) AGT.demoteInGuild(name,3)	end
	SLASH_COMMANDS["/g4demote"] 			= function(name) AGT.demoteInGuild(name,4)	end
	SLASH_COMMANDS["/g5demote"] 			= function(name) AGT.demoteInGuild(name,5)	end
	SLASH_COMMANDS["/g1down"]	 			= function(name) AGT.demoteInGuild(name,1)	end
	SLASH_COMMANDS["/g2down"]	 			= function(name) AGT.demoteInGuild(name,2)	end
	SLASH_COMMANDS["/g3down"]	 			= function(name) AGT.demoteInGuild(name,3)	end
	SLASH_COMMANDS["/g4down"]	 			= function(name) AGT.demoteInGuild(name,4)	end
	SLASH_COMMANDS["/g5down"]	 			= function(name) AGT.demoteInGuild(name,5)	end
	SLASH_COMMANDS["/g1rankdown"] 			= function(name) AGT.demoteInGuild(name,1)	end
	SLASH_COMMANDS["/g2rankdown"] 			= function(name) AGT.demoteInGuild(name,2)	end
	SLASH_COMMANDS["/g3rankdown"] 			= function(name) AGT.demoteInGuild(name,3)	end
	SLASH_COMMANDS["/g4rankdown"] 			= function(name) AGT.demoteInGuild(name,4)	end
	SLASH_COMMANDS["/g5rankdown"] 			= function(name) AGT.demoteInGuild(name,5)	end
	SLASH_COMMANDS["/g1laston"] 			= function(name) AGT.lastOnline(name,1)		end
	SLASH_COMMANDS["/g2laston"] 			= function(name) AGT.lastOnline(name,2)		end
	SLASH_COMMANDS["/g3laston"] 			= function(name) AGT.lastOnline(name,3)		end
	SLASH_COMMANDS["/g4laston"] 			= function(name) AGT.lastOnline(name,4)		end
	SLASH_COMMANDS["/g5laston"] 			= function(name) AGT.lastOnline(name,5)		end
	SLASH_COMMANDS["/g1lastonline"]			= function(name) AGT.lastOnline(name,1)		end
	SLASH_COMMANDS["/g2lastonline"]			= function(name) AGT.lastOnline(name,2)		end
	SLASH_COMMANDS["/g3lastonline"]			= function(name) AGT.lastOnline(name,3)		end
	SLASH_COMMANDS["/g4lastonline"]			= function(name) AGT.lastOnline(name,4)		end
	SLASH_COMMANDS["/g5lastonline"]			= function(name) AGT.lastOnline(name,5)		end
	SLASH_COMMANDS["/g1motd"]				= function(name) AGT.displayMOTD(1)			end
	SLASH_COMMANDS["/g2motd"]				= function(name) AGT.displayMOTD(2)			end
	SLASH_COMMANDS["/g3motd"]				= function(name) AGT.displayMOTD(3)			end
	SLASH_COMMANDS["/g4motd"]				= function(name) AGT.displayMOTD(4)			end
	SLASH_COMMANDS["/g5motd"]				= function(name) AGT.displayMOTD(5)			end
	SLASH_COMMANDS["/g1messageoftheday"]	= function(name) AGT.displayMOTD(1)			end
	SLASH_COMMANDS["/g2messageoftheday"]	= function(name) AGT.displayMOTD(2)			end
	SLASH_COMMANDS["/g3messageoftheday"]	= function(name) AGT.displayMOTD(3)			end
	SLASH_COMMANDS["/g4messageoftheday"]	= function(name) AGT.displayMOTD(4)			end
	SLASH_COMMANDS["/g5messageoftheday"]	= function(name) AGT.displayMOTD(5)			end
	SLASH_COMMANDS["/g1activity"]			= function(name) AGT.guildActivity(1)		end
	SLASH_COMMANDS["/g2activity"]			= function(name) AGT.guildActivity(2)		end
	SLASH_COMMANDS["/g3activity"]			= function(name) AGT.guildActivity(3)		end
	SLASH_COMMANDS["/g4activity"]			= function(name) AGT.guildActivity(4)		end
	SLASH_COMMANDS["/g5activity"]			= function(name) AGT.guildActivity(5)		end
	SLASH_COMMANDS["/g1prune"]				= function(name) AGT.pruneGuild(1)			end
	SLASH_COMMANDS["/g2prune"]				= function(name) AGT.pruneGuild(2)			end
	SLASH_COMMANDS["/g3prune"]				= function(name) AGT.pruneGuild(3)			end
	SLASH_COMMANDS["/g4prune"]				= function(name) AGT.pruneGuild(4)			end
	SLASH_COMMANDS["/g5prune"]				= function(name) AGT.pruneGuild(5)			end
	SLASH_COMMANDS["/mounthunger"]			= function(name) AGT.mountHunger(name)		end
	SLASH_COMMANDS["/g1mail"]				= function(name) AGT.sendGuildMail(1, name)	end
	SLASH_COMMANDS["/g2mail"]				= function(name) AGT.sendGuildMail(2, name)	end
	SLASH_COMMANDS["/g3mail"]				= function(name) AGT.sendGuildMail(3, name)	end
	SLASH_COMMANDS["/g4mail"]				= function(name) AGT.sendGuildMail(4, name)	end
	SLASH_COMMANDS["/g5mail"]				= function(name) AGT.sendGuildMail(5, name)	end
end

-- invite to guild
function AGT.guildInvite(member,guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then
		if(DoesPlayerHaveGuildPermission(AGT.getGuildID(guildNumber),GUILD_PERMISSION_INVITE) == true) then
			AGT:addNotification(AGT.note.TRYING,nil,"Trying to invite "..member..", to ".. GetGuildName(AGT.getGuildID(guildNumber)))
			GuildInvite(AGT.getGuildID(guildNumber), member)
		else 
			AGT:addNotification(AGT.note.ERROR,nil,"You do not have the permission to invite to the guild!") 
		end
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!")
	end
end

-- count guildmates
function AGT.countGuildmates(guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then
		AGT:addNotification(AGT.note.SUCCESS,nil,GetGuildName(AGT.getGuildID(guildNumber)).." has "..GetNumGuildMembers(AGT.getGuildID(guildNumber)).." members.")
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!")
	end
end

-- get guildmates online

function AGT.onlineGuildmates(guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then
		AGT:addNotification(AGT.note.SUCCESS,nil,GetGuildName(AGT.getGuildID(guildNumber)).." has "..AGT.onlineMembers(AGT.getGuildID(guildNumber)).." members online.")
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

-- get guildmates offline
function AGT.offlineGuildmates(guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then
		AGT:addNotification(AGT.note.SUCCESS,nil,GetGuildName(AGT.getGuildID(guildNumber)).." has "..(GetNumGuildMembers(AGT.getGuildID(guildNumber)) - AGT.onlineMembers(AGT.getGuildID(guildNumber))).." members offline.")
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

-- leave guild
function AGT.leaveGuild(guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then
		AGT:addNotification(AGT.note.SUCCESS,nil,"Leaving "..GetGuildName(AGT.getGuildID(guildNumber)))
		GuildLeave(AGT.getGuildID(guildNumber))
	else
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

-- kick from guild
function AGT.kickFromGuild(member,guildnumber)
	if(GetNumGuilds() > guildnumber - 1) then
		if(DoesPlayerHaveGuildPermission(AGT.getGuildID(guildNumber),GUILD_PERMISSION_REMOVE) == true) then
			AGT:addNotification(AGT.note.TRYING,nil,"Trying to kick "..member..", from ".. GetGuildName(AGT.getGuildID(guildNumber)))
			GuildRemove(AGT.getGuildID(guildNumber),member)
		else 
			AGT:addNotification(AGT.note.ERROR,nil,"You do not have the permission to kick the guild!") 
		end
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildnumber.."!") 
	end
end

--promote in guild
function AGT.promoteInGuild(member,guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then
		if(DoesPlayerHaveGuildPermission(AGT.getGuildID(guildNumber),GUILD_PERMISSION_PROMOTE) == true) then
			AGT:addNotification(AGT.note.TRYING,nil,"Trying to promote "..member..", in ".. GetGuildName(AGT.getGuildID(guildNumber)))
			GuildPromote(AGT.getGuildID(guildNumber), member)
		else 
			AGT:addNotification(AGT.note.ERROR,nil,"You do not have the permission to promote members in the guild!") 
		end
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

--demote in guild
function AGT.demoteInGuild(member,guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then
		if(DoesPlayerHaveGuildPermission(AGT.getGuildID(guildNumber),GUILD_PERMISSION_DEMOTE) == true) then
			AGT:addNotification(AGT.note.TRYING,nil,"Trying to demote "..member..", in ".. GetGuildName(AGT.getGuildID(guildNumber)))
			GuildDemote(AGT.getGuildID(guildNumber), member)
		else 
			AGT:addNotification(AGT.note.ERROR,nil,"You do not have the permission to demote members in the guild!") 
		end
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

-- last online
function AGT.lastOnline(member,guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then
		local mem_index = AGT.getMemberIndex(AGT.getGuildID(guildNumber),AGT.fixName(member))
		if(mem_index ~= 0)then
			local AGT_name,AGT_note,AGT_rank,AGT_stat,AGT_sec = GetGuildMemberInfo(AGT.getGuildID(guildNumber), mem_index)
			local LastOn = AGT.calculateTime(AGT_sec)
			if(LastOn == "0 secs")then 
				AGT:addNotification(AGT.note.SUCCESS,nil,AGT.fixName(member).." is logged in.")
			else 
				AGT:addNotification(AGT.note.SUCCESS,nil,AGT.fixName(member).." last played "..AGT.calculateTime(AGT_sec).." ago.") 
			end
		else 
			AGT:addNotification(AGT.note.ERROR,nil,"Player "..AGT.fixName(member).." is not in the guild!") 
		end
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

-- display message of the day
function AGT.displayMOTD(guildNumber)
	if(GetNumGuilds() > guildNumber - 1) then 
		AGT:addNotification(AGT.note.MOTD,guildNumber,"MOTD: "..AGT.data.motd[guildNumber])
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

-- get guild activity
function AGT.guildActivity(guildNumber)
	if(GetNumGuilds() > guildNumber - 1 and guildNumber < 6) then
	
		local AGT_TotalPages = AGT.removeDecimal(GetNumGuildMembers(AGT.getGuildID(guildNumber))/25)
		if((GetNumGuildMembers(AGT.getGuildID(guildNumber))/25) > AGT_TotalPages)then 
			AGT_TotalPages = AGT_TotalPages + 1 
		end
		
		local AGT_msg = "" local AGT_Counter = 0 local AGT_Page = 1
		
		for mem_id = 1, GetNumGuildMembers(AGT.getGuildID(guildNumber)) do
			
			AGT_Counter = AGT_Counter + 1
			local AGT_name,AGT_note,AGT_rank,AGT_stat,AGT_sec = GetGuildMemberInfo(AGT.getGuildID(guildNumber), mem_id)
			AGT_msg = AGT_msg.."\n"..AGT_name..": " local AGT_LastOn = (AGT_sec/60/60/24)
			
			if(AGT_LastOn <= 7)then 
				AGT_msg = AGT_msg.."|c00ff00" 
			else
				if(AGT_LastOn <= 14)then 
					AGT_msg = AGT_msg.."|cffff00" 
				else
					if(AGT_LastOn <= 30)then 
						AGT_msg = AGT_msg.."|cffcc00" 
					else
						AGT_msg = AGT_msg.."|cff0000" 
					end
				end
			end
			
			if(AGT.calculateTime(AGT_sec) == "0 secs")then 
				AGT_msg = AGT_msg.."is online|r"
			else 
				AGT_msg = AGT_msg..AGT.calculateTime(AGT_sec).."|r" 
			end
			
			if(AGT_Counter == 25 or mem_id == GetNumGuildMembers(AGT.getGuildID(guildNumber))) then
				if(AGT_Page == 1) then 
					AGT_msg = "---guild activity -------\n"..AGT_msg 
				end
				if(AGT_Page == AGT_TotalPages) then 
					AGT_msg = AGT_msg.."\n-----------------------" 
				end
				AGT:addToChat(AGT_msg) AGT_Page = AGT_Page + 1 AGT_Counter = 0 AGT_msg = ""
			end
			
		end		
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

-- prune guild
function AGT.pruneGuild(guildNumber)
	if(GetNumGuilds() > guildNumber - 1 and guildNumber < 6) then
		if(DoesPlayerHaveGuildPermission(AGT.getGuildID(guildNumber),GUILD_PERMISSION_REMOVE) == true) then
			d("-- pruning guild ----------")
			local numberPruned = 0
			local numberSkipped = 0
			for mem_id = 1, GetNumGuildMembers(AGT.getGuildID(guildNumber)) do
				local AGT_name,AGT_note,AGT_rank,AGT_stat,AGT_sec = GetGuildMemberInfo(AGT.getGuildID(guildNumber), mem_id)
				local AGT_LastOn = (AGT_sec/60/60/24)
				if(AGT_LastOn > AGT.saved.guild[guildNumber].pruneTime) then
					if(string.lower(AGT_note:sub(1,4)) == "skip") then
						AGT:addToChat("-- "..AGT_name.."has been skipped")
						numberSkipped = numberSkipped + 1
					else
						GuildRemove(AGT.getGuildID(guildNumber),AGT_name)
						SendMail(AGT_name, GetGuildName(AGT.data.guildID[guildNumber]), "Sorry,\nYou were kicked from the guild due to inactivity.  If you come back to ESO feel free to contact me, because we would love to have you back!")
						AGT:addToChat("-- "..AGT_name.."has been kicked")
						numberPruned = numberPruned + 1
					end
				end
			end
			AGT:addToChat("-- done pruning guild -----")
			AGT:addToChat("-- "..numberPruned.."removed and "..numberSkipped.."skipped --")
		else 
			AGT:addNotification(AGT.note.ERROR,nil,"You do not have the permission to prune the guild!") 
		end
	else 
		AGT:addNotification(AGT.note.ERROR,nil,"You do not have a Guild "..guildNumber.."!") 
	end
end

-- get mount hunger
function AGT.mountHunger(name)

	-- show all mounts
	if(name == "all" or name == nil or name == "") then
		for Stable_Slot = 1, GetNumStableSlots()+1 do
			if(IsStableSlotEmpty(Stable_Slot)==false) then
				local Mount_Name = GetStableSlotInfo(Stable_Slot)
				local Mount_Feed = AGT.calculateTime(AGT.removeDecimal(GetTimeUntilMountCanBeFed(Stable_Slot)/1000))
				local Mount_Location = nil
				if(Stable_Slot == 1)then Mount_Location = "active"
				else Mount_Location = "stabled" end
				if(Mount_Feed == "0 secs")then
					AGT:addNotification(AGT.note.MOUNT,nil,"Your "..Mount_Location.." mount "..Mount_Name..", is hungry.")
				else
					AGT:addNotification(AGT.note.MOUNT,nil,"Your "..Mount_Location.." mount "..Mount_Name..", will be hungry in "..Mount_Feed)
				end						
			end
		end
	
	else -- show specific mount
		local found = false
		for Stable_Slot = 1, GetNumStableSlots()+1 do
			if(IsStableSlotEmpty(Stable_Slot)==false) then
				local Mount_Name = GetStableSlotInfo(Stable_Slot)
				local Mount_Feed = AGT.calculateTime(AGT.removeDecimal(GetTimeUntilMountCanBeFed(Stable_Slot)/1000))
				local Mount_Location = nil
				if(Stable_Slot == 1)then Mount_Location = "active"
				else Mount_Location = "stabled" end
				if(name == Mount_Name) then
					if(Mount_Feed == "0 secs")then
						AGT:addNotification(AGT.note.MOUNT,nil,"Your "..Mount_Location.." mount "..Mount_Name..", is hungry.")
					else
						AGT:addNotification(AGT.note.MOUNT,nil,"Your "..Mount_Location.." mount "..Mount_Name..", will be hungry in "..Mount_Feed)
					end
					found = true
					break
				end
			end
		end
		if not found then
			AGT:addNotification(AGT.note.ERROR,nil,"You do not have a mount with the name "..name.."!") 
		end
	end
	
	
end

-- send guild email
function AGT.sendGuildMail(guildnumber, message)
	for mem_id = 1, GetNumGuildMembers(AGT.getGuildID(guildNumber)) do
		local AGT_name,AGT_note,AGT_rank,AGT_stat,AGT_sec = GetGuildMemberInfo(AGT.getGuildID(guildNumber), mem_id)
		SendMail(AGT_name, "|c00ff00"..GetGuildName(AGT.data.guildID[guildNumber]).."|r", message)
	end
end
