AGT.changeString = nil
-- this page is for fixing the saved
-- variables when fixing the version

function AGT:checkIfUpdated()
	if (AGT.version ~= AGT.saved.lastRanVersion) then
		-- running new version
		AGT.versionFix()
		AGT.saved.lastRanVersion = AGT.version
		AGT:addNotification(AGT.note.SUCCESS,nil,"Thank you for updating to "..AGT.version.."! "..AGT.changeString)
	else
		--running same version as last time
	end
end

function AGT.versionFix(new, old)
	
	if(AGT.saved.lastRanVersion == 0) then
		AGT.saved = nil
		AGT.saved = AGT.defaults
		AGT.saved.lastRanVersion = "3.0.0.1"
	end
	
	if(AGT.saved.lastRanVersion == "3.0.0.1") then
		AGT.saved.Character.showClass 		= true
		AGT.saved.Character.fullClass 		= false
		AGT.saved.Character.fullAlliance	= false
		AGT.saved.lastRanVersion 			= "3.0.1.0"
	end
	
	if(AGT.saved.lastRanVersion == "3.0.1.0") then
		AGT.saved.guild[1].note.guild 		= false
		AGT.saved.guild[1].note.officer 	= true
		AGT.saved.guild[2].note.guild 		= false
		AGT.saved.guild[2].note.officer 	= true
		AGT.saved.guild[3].note.guild 		= false
		AGT.saved.guild[3].note.officer 	= true
		AGT.saved.guild[4].note.guild 		= false
		AGT.saved.guild[4].note.officer 	= true
		AGT.saved.guild[5].note.guild 		= false
		AGT.saved.guild[5].note.officer 	= true
		AGT.saved.lastRanVersion 			= "3.0.1.1"
	end
	
	if(AGT.saved.lastRanVersion == "3.0.1.1") then
		AGT.saved.guild[1].color.officer 	= {1,1,1,1}
		AGT.saved.guild[1].sound.officer 	= true
		AGT.saved.guild[1].sound.guild 		= true
		AGT.saved.guild[2].color.officer 	= {1,1,1,1}
		AGT.saved.guild[2].sound.officer 	= true
		AGT.saved.guild[2].sound.guild 		= true
		AGT.saved.guild[3].color.officer 	= {1,1,1,1}
		AGT.saved.guild[3].sound.officer 	= true
		AGT.saved.guild[3].sound.guild 		= true
		AGT.saved.guild[4].color.officer 	= {1,1,1,1}
		AGT.saved.guild[4].sound.officer 	= true
		AGT.saved.guild[4].sound.guild 		= true
		AGT.saved.guild[5].color.officer 	= {1,1,1,1}
		AGT.saved.guild[5].sound.officer 	= true
		AGT.saved.guild[5].sound.guild 		= true
		AGT.saved.color.whisper 			= {0,1,1,1}
		AGT.saved.color.yell 				= {1,0,0,1}
		AGT.saved.note.yell 				= true
		AGT.saved.note.whisper 				= true
		AGT.saved.Sounds.whisper			= "Click_Positive"
		AGT.saved.Sounds.yell				= "Book_Acquired"
		AGT.saved.Sounds.guild				= "New_Mail"
		AGT.saved.Sounds.officer			= "Click_Negative"
		AGT.saved.lastRanVersion 			= "3.0.1.2"
	end
	
	if(AGT.saved.lastRanVersion == "3.0.1.2") then 	AGT.saved.lastRanVersion = "3.0.1.3" end
	if(AGT.saved.lastRanVersion == "3.0.1.3") then 	AGT.saved.lastRanVersion = "3.0.1.4" end
	if(AGT.saved.lastRanVersion == "3.0.1.4") then 	AGT.saved.lastRanVersion = "3.0.2.0" end
	if(AGT.saved.lastRanVersion == "3.0.1.4") then 	AGT.saved.lastRanVersion = "3.0.2.1" end
	if(AGT.saved.lastRanVersion == "3.0.2.1") then 	AGT.saved.lastRanVersion = "3.0.3.0" end
	if(AGT.saved.lastRanVersion == "3.0.3.0") then 	AGT.saved.lastRanVersion = "3.0.3.1" end
	if(AGT.saved.lastRanVersion == "3.0.3.1") then 	AGT.saved.lastRanVersion = "3.0.3.2" end
	if(AGT.saved.lastRanVersion == "3.0.3.2") then 	AGT.saved.lastRanVersion = "3.0.3.3" end
	if(AGT.saved.lastRanVersion == "3.0.3.3") then 	
		AGT.saved.note.lootScreen 			= true
		AGT.saved.note.lootChat				= true
		AGT.saved.lastRanVersion = "3.0.4.0" 
	end
	if(AGT.saved.lastRanVersion == "3.0.4.0") then 	
		AGT.saved.Sounds.loot 				= "Lockpicking_lockpick_contact"
		AGT.saved.note.lootColor			= {0.470588,0.470588,0.470588,1}
		AGT.saved.lastRanVersion = "3.0.4.1"
		AGT.changeString = "Fixed looting being displayed in seperate notifications.  Added loot sound and color!"
	end
	if(AGT.saved.lastRanVersion == "3.0.4.1") then
		AGT.saved.lastRanVersion = "3.0.4.2"
		AGT.changeString = "Fixed looting error when only recieving gold!"
	end
	if(AGT.saved.lastRanVersion == "3.0.4.2") then
		AGT.saved.lastRanVersion = "3.0.4.3"
		AGT.changeString = "You will now only see the loot that you received!"
	end
	if(AGT.saved.lastRanVersion == "3.0.4.3") then
		AGT.saved.lastRanVersion = "3.3.0.0"
		AGT.changeString = "You will now see the correct rank name on rank change.  ESO messed up the saved variables, not my fault!! Sorry!!"
	end
	
	if(AGT.saved.lastRanVersion == "3.3.0.0") then
		--current version no updates needed
	end
end